ps_latlink_s Struct Reference

Links between DAG nodes. More...

`#include <ps_lattice_internal.h>`

## Data Fields

struct ps_latnode_s * | from
| From node.
struct ps_latnode_s * | to
| To node.
struct ps_latlink_s * | best_prev
int32 | ascr
| Score for from->wid (from->sf to this->ef)
int32 | path_scr
| Best path score from root of DAG.
frame_idx_t | ef
| Ending frame of this word.
int32 | alpha
| Forward probability of this link P(w,o_1^{ef})
int32 | beta
| Backward probability of this link P(w|o_{ef+1}^T)

## Detailed Description

Links between DAG nodes.

A link corresponds to a single hypothesized instance of a word with a given start and end point.

Definition at line 96 of file ps_lattice_internal.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/ps_lattice_internal.h